<div class="content-wrapper">
  <div class="content-title">
    <ol class="breadcrumb">
      <li><a (click)="goToDashboard()" class="breadcrumb">Dashboard</a></li>
      <li><span>Event Details</span></li>
    </ol>
    <span class="content-title-subtext">
      <span class="mandatory-text">*</span>All information mandatory
    </span>
  </div>
  <div class="content-details">
    <form [formGroup]="eventForm">
      <div>
        <mat-form-field appearance="outline">
          <mat-label>Event Name</mat-label>
          <input matInput formControlName="name" required>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="outline" class="event-description">
          <mat-label>Event Description</mat-label>
          <textarea matInput formControlName="description" required></textarea>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field class="date-field" appearance="outline" class="mr30">
          <mat-label>Event Date</mat-label>
          <input matInput [min]="eventMinDate" [max]="eventMaxDate" [matDatepicker]="eventDate" (click)="eventDate.open()" readonly formControlName="date" required>
          <mat-datepicker #eventDate></mat-datepicker>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Event Duration (in minutes)</mat-label>
          <input matInput type="number" formControlName="duration" required>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="outline" class="mr30">
          <mat-label>Event Location</mat-label>
          <input matInput formControlName="location" required>
        </mat-form-field>
        <mat-form-field appearance="outline">
          <mat-label>Event Fees (INR)</mat-label>
          <input matInput type="number" formControlName="fees" required>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="outline" class="mr30">
          <mat-label>Max. No of Participants</mat-label>
          <input matInput type="number" formControlName="maxParticipants" required>
        </mat-form-field>
        <mat-form-field appearance="outline" class="tag-list">
          <mat-label>Tags
            <span aria-hidden="true" class="mat-placeholder-required mat-form-field-required-marker">&nbsp;*</span>
          </mat-label>
          <mat-chip-list #tagList>
            <mat-chip
              *ngFor="let tag of tags"
              [selectable]="selectable"
              [removable]="removable"
              (removed)="removeTag(tag)">
              {{tag}}
              <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
            </mat-chip>
            <input
              #tagInput
              formControlName="tags"
              [matAutocomplete]="auto"
              [matChipInputFor]="tagList"
              [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
              [matChipInputAddOnBlur]="addOnBlur"
              (matChipInputTokenEnd)="addTag($event)"
              required>
          </mat-chip-list>
          <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selectedTag($event)">
            <mat-option *ngFor="let tag of filteredTags | async" [value]="tag">
              {{tag}}
            </mat-option>
          </mat-autocomplete>
        </mat-form-field>
      </div>
    </form>
    <form [formGroup]="configuredFieldsForm">
      <div class="float-none">
        <div (click)="addConfiguredField()" class="add-field">
          <span class="action-text mr10">Add Fields</span>
          <button mat-mini-fab color="accent">
            <fa-icon [icon]="faPlus"></fa-icon>
          </button>
        </div>
        <div *ngFor="let attr of attributes; let i=index; trackBy: trackById" id={{attr.id}} formGroupName="{{attr.name}}" class="float-none">
            <div class="float-left mr30">
              <mat-form-field appearance="outline">
                <mat-label>Enter Name</mat-label>
                <input matInput formControlName="name" required>
              </mat-form-field>
            </div>
            <div class="float-left mr30">
              <mat-form-field appearance="outline">
                <mat-label>Select Type</mat-label>
                <mat-select formControlName="type" required>
                  <mat-option *ngFor="let item of fieldTypes" [value]="item.type">{{item.name}}</mat-option>
                </mat-select>
              </mat-form-field>
            </div>
            <div class="float-left mt15 mr20">
              <mat-checkbox class="form-control" color="primary" formControlName="mandatory" [value]="attr.mandatory">
                Mandatory
              </mat-checkbox>
            </div>
            <div class="float-left remove-field" (click)="removeConfiguredField(attr)">
              <fa-icon [icon]="faTrashAlt" class="nav-icon mr10"></fa-icon>
              <span>Delete</span>
            </div>
          </div>
      </div>
    </form>
    <div class="float-none event-actions">
        <button mat-button (click)="cancel()" class="mr10">Cancel</button>
        <button mat-raised-button color="primary" [disabled]="eventForm.invalid || configuredFieldsForm.invalid" 
          (click)="onSubmit()">{{isEditMode ? 'Update' : 'Save'}}</button>
      </div>
  </div>
</div>